Results 1 to 12 of 12

Thread: RSPS Scripting Help

  1. #1
    Join Date
    Mar 2015
    Posts
    5
    Mentioned
    0 Post(s)
    Quoted
    4 Post(s)

    Exclamation RSPS Scripting Help

    Whenever I am attempting to setup Simba for an RSPS I would like to script on, it will not load up correctly.

    I get this after attempting to load the script:

    Code:
    -- setupSRL()
    ---- Setting up SRL...
    ---- HINT: You are not using SMART, be sure to use Simba's crosshairs to select the RS client.
    ---- Waiting up to 5 minutes for RS to load...
    It never recognizes it is loaded. Am I doing something incorrectly or is the client not supported with Simba?

  2. #2
    Join Date
    Dec 2011
    Location
    East Coast, USA
    Posts
    4,180
    Mentioned
    112 Post(s)
    Quoted
    1849 Post(s)

    Default

    You're trying to use SRL-6 to interact with a Runescape emulator. Unless it's an RS3 revision, it's not going to work.
    GitLab projects | Simba for Linux | Find me on IRC or Discord | OSRS scripts | Come play ScapeRune!

    <BenLand100> we're just in the transitional phase where society reclassifies guns as Bad™ before everyone gets laser pistols

  3. #3
    Join Date
    Mar 2015
    Posts
    5
    Mentioned
    0 Post(s)
    Quoted
    4 Post(s)

    Default

    Quote Originally Posted by KeepBotting View Post
    You're trying to use SRL-6 to interact with a Runescape emulator. Unless it's an RS3 revision, it's not going to work.
    So your saying I must downgrade to SRL-5 or lower?

  4. #4
    Join Date
    Dec 2011
    Location
    East Coast, USA
    Posts
    4,180
    Mentioned
    112 Post(s)
    Quoted
    1849 Post(s)

    Default

    That's generally the case. Post a picture of the server's UI so we can understand better.
    Quote Originally Posted by Gold Charm View Post
    So your saying I must downgrade to SRL-5 or lower?
    GitLab projects | Simba for Linux | Find me on IRC or Discord | OSRS scripts | Come play ScapeRune!

    <BenLand100> we're just in the transitional phase where society reclassifies guns as Bad™ before everyone gets laser pistols

  5. #5
    Join Date
    Mar 2015
    Posts
    5
    Mentioned
    0 Post(s)
    Quoted
    4 Post(s)

    Default

    367f1cbfbac34aeb08f17bf5a7447555.png

    This is how it looks.

  6. #6
    Join Date
    Dec 2011
    Location
    East Coast, USA
    Posts
    4,180
    Mentioned
    112 Post(s)
    Quoted
    1849 Post(s)

    Default

    Quote Originally Posted by Gold Charm View Post
    Yes, you'll find that SRL-5 will be able to interact with that. I can't guarantee that you won't have to make tweaks to get some routines working, but most things should work out of the box.
    GitLab projects | Simba for Linux | Find me on IRC or Discord | OSRS scripts | Come play ScapeRune!

    <BenLand100> we're just in the transitional phase where society reclassifies guns as Bad™ before everyone gets laser pistols

  7. #7
    Join Date
    Mar 2015
    Posts
    5
    Mentioned
    0 Post(s)
    Quoted
    4 Post(s)

    Default

    Quote Originally Posted by KeepBotting View Post
    Yes, you'll find that SRL-5 will be able to interact with that. I can't guarantee that you won't have to make tweaks to get some routines working, but most things should work out of the box.
    I've ran into another problem now.

    Code:
    Error: Duplicate declaration "AddDTM" at line 161
    Compiling failed.
    Line 161 says:
    Code:
    function AddDTM(DTM : TDTM) : integer;

  8. #8
    Join Date
    Dec 2011
    Location
    East Coast, USA
    Posts
    4,180
    Mentioned
    112 Post(s)
    Quoted
    1849 Post(s)

    Default

    Quote Originally Posted by Gold Charm View Post
    I've ran into another problem now.

    Code:
    Error: Duplicate declaration "AddDTM" at line 161
    Compiling failed.
    Line 161 says:
    Code:
    function AddDTM(DTM : TDTM) : integer;
    Script > Interpreter > PascalScript

    SRL-6 runs under Lape which isn't backwards-compatible with SRL-5
    GitLab projects | Simba for Linux | Find me on IRC or Discord | OSRS scripts | Come play ScapeRune!

    <BenLand100> we're just in the transitional phase where society reclassifies guns as Bad™ before everyone gets laser pistols

  9. #9
    Join Date
    Feb 2011
    Location
    The Future.
    Posts
    5,583
    Mentioned
    394 Post(s)
    Quoted
    1592 Post(s)

    Default

    Your RSPS seems to use OpenGL, DirectX, Software, and Safe modes.

    It's pretty much RS2 in a nutshell. Old RS2 updater ran fairly decent on it. It also has a canvas so SMART should be able to load it and run it just fine. Only problem would be getting rid of the frame they use..


    Otherwise, I see no reason that SRL would fail to work on it.
    I am Ggzz..

  10. #10
    Join Date
    Sep 2014
    Posts
    55
    Mentioned
    0 Post(s)
    Quoted
    23 Post(s)

    Default

    Well What rsps is it ? Tbh I don't think you need to downgrade because I am using srl 6 on a rsps that was created in 2011. Try to take out setupsrl from the loop and the paths for rs3 under program name and see if it works ?

  11. #11
    Join Date
    Sep 2010
    Posts
    5,749
    Mentioned
    136 Post(s)
    Quoted
    2735 Post(s)

    Default

    Quote Originally Posted by Gold Charm View Post
    So your saying I must downgrade to SRL-5 or lower?
    almost never the case. Your gonna have to rewrite most of SRLs functions, very rarly will most of SRL-5 functions work on a RSPS. This is because most servers have different elements of different revisions in their server

  12. #12
    Join Date
    Jan 2019
    Posts
    9
    Mentioned
    0 Post(s)
    Quoted
    1 Post(s)

    Default

    get it fixed ASAP

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •